%define upstream_name    Mojo-Pg
%define upstream_version 4.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transaction
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::Pg) >= 3.7.4
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 8.500.0
BuildRequires: perl(SQL::Abstract) >= 1.860.0
BuildArch:  noarch

%description
the Mojo::Pg manpage is a tiny wrapper around the DBD::Pg manpage that
makes http://www.postgresql.org a lot of fun to use with the
http://mojolicious.org real-time web framework. Perform queries blocking
and non-blocking, use all
https://www.postgresql.org/docs/current/static/sql.html PostgreSQL has to
offer, generate CRUD queries from data structures, manage your database
schema with migrations and build scalable real-time web applications with
the publish/subscribe pattern.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 04 2021 tv <tv> 4.230.0-1.mga8
+ Revision: 1668586
- update to 4.23

* Sat Nov 07 2020 tv <tv> 4.220.0-1.mga8
+ Revision: 1643142
- update to 4.22

* Mon Oct 26 2020 tv <tv> 4.210.0-1.mga8
+ Revision: 1639512
- update to 4.21

* Sat Oct 03 2020 tv <tv> 4.200.0-1.mga8
+ Revision: 1631945
- update to 4.20

* Mon Jun 01 2020 tv <tv> 4.190.0-1.mga8
+ Revision: 1589391
- update to 4.19

* Thu Feb 20 2020 umeabot <umeabot> 4.180.0-2.mga8
+ Revision: 1546099
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 4.180.0-1.mga8
+ Revision: 1485885
- update to 4.18

* Mon Oct 07 2019 tv <tv> 4.170.0-1.mga8
+ Revision: 1450428
- update to 4.17

* Fri Sep 06 2019 tv <tv> 4.160.0-1.mga8
+ Revision: 1438021
- update to 4.16

* Wed Jul 24 2019 tv <tv> 4.150.0-1.mga8
+ Revision: 1423814
- update to 4.15

* Tue Jul 23 2019 tv <tv> 4.140.0-1.mga8
+ Revision: 1423520
- update to 4.14

* Mon Jan 21 2019 tv <tv> 4.130.0-1.mga7
+ Revision: 1358840
- update to 4.13

* Thu Nov 29 2018 tv <tv> 4.120.0-1.mga7
+ Revision: 1336683
- update to 4.12

* Sat Oct 20 2018 tv <tv> 4.110.0-1.mga7
+ Revision: 1322687
- update to 4.11

* Thu Sep 20 2018 umeabot <umeabot> 4.40.0-2.mga7
+ Revision: 1284908
- Mageia 7 Mass Rebuild

* Fri Jan 12 2018 kharec <kharec> 4.40.0-1.mga7
+ Revision: 1192436
- imported package perl-Mojo-Pg

